Bug 217896 - Feature Request: Creating the /srv/ directory by default
Feature Request: Creating the /srv/ directory by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.pathname.com/fhs/pub/fhs-2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 12:35 EST by Raffael Luthiger
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version: devel
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 11:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raffael Luthiger 2006-11-30 12:35:22 EST
Description of Feature:
The Filesystem Hierarchy Standard (FHS) states that there should be a
/srv-directory. (See URL) In my opinion it would be really good if Fedora (and
probably with it RedHat) would follow this recommendations for the following
reasons.

A machine is always either a server or a client. If the machine is a client all
user specific files can be kept in /home. This makes it easier to a) backup all
data at once and b) have all data on one partition. Which makes it easier to
upgrade a machine (See Bug 150670 for more information about this). The same
ideas should be applied to servers as well.

My proposal is to go with something like this:
/srv/<service>/<service specific sub-element(s)>

E.g.:
/srv/smb/share1
/srv/smb/share2
/srv/http/www.domain.com
/srv/http/ww2.domain.com
/srv/ftp/ftk.domain.com
/srv/mail/user1
/srv/mail/user2
etc.

Those are just an idea. Maybe /srv/http/domain.com/www would be better in order
to preserve the tree structure of the DNS.
Comment 1 Florian La Roche 2007-03-08 11:37:21 EST
The current filesystem rpm package does contain /srv, so I am closing this
report.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.